### php.java.bridge

# Class PhpProcedure

- `java.lang.Object`

- `php.java.bridge.PhpProcedure`

Implemented Interfaces:
  java.lang.reflect.InvocationHandler

`public class PhpProcedure`
`extends java.lang.Object`
`implements java.lang.reflect.InvocationHandler`

This class takes the supplied PHP environment and creates a dynamic proxy for calling PHP code.

## Method Summary

`java.lang.Object`

`invoke(java.lang.Object proxy, java.lang.String method, java.lang.Object[] args)`
  Invoke a PHP function or a PHP method.

`java.lang.Object`

`invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`

### Methods inherited from class java.lang.Object

`equals`, `getClass`, `hashCode`, `notify`, `notifyAll`, `toString`, `wait`, `wait`, `wait`

## Method Details

### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.String method,
                                   java.lang.Object[] args)
                throws java.lang.Throwable

> Invoke a PHP function or a PHP method.

> Parameters:
>   `proxy` - The php environment or the PHP object
>   `method` - The php method name
>   `args` - the arguments

> Returns:
>   the result or null.

### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)
                throws java.lang.Throwable

> Specified by:
>   invoke in interface java.lang.reflect.InvocationHandler